# GET /v1/batches/{batch_id}/results

> GetResults

- `operationId`: `V1BatchesBatchIdResultsGetResults`
- Group: [Batch API](https://sference.com/docs/api-reference/batch-api.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/batch-api/V1BatchesBatchIdResultsGetResults

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `batch_id` | path | string | yes | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `BatchResultsResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `batch_id` | string | yes | — | — |
| `status` | string | yes | enum: pending | running | completed | failed | cancelled | — |
| `output_url` | string \| null | no | — | — |
| `completed_at` | string \| null | no | — | — |
| `results` | array<object> \| null | no | — | Per-request outcomes when batch is completed or failed. |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/batch-api/V1BatchesBatchIdResultsGetResults
